package com.gree.mall.manager.constant;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class DailyConstant {

    /**
     * 汇总状态 1.已汇总 2.未汇总 3.暂不结算 4.驳回
     */
    public final static Integer SUMMARY_STATUS_HAS = 1;

    public final static Integer SUMMARY_STATUS_NOT = 2;

    public final static Integer SUMMARY_STATUS_WAIT = 3;

    public final static Integer SUMMARY_STATUS_REJECT = 4;

    public static List<Integer>   SUMMARY_STATUS_CAN_DO = Arrays.asList(2, 4);

    public static List<Integer>   SUMMARY_STATUS_CAN_DEL = Arrays.asList(2,3,4);

    /**
     * 发放状态 1.未发放 2.已发放 3.银行受理中 4.发放失败 5.驳回
     */
    public final static Integer ISSUE_STATUS_NOT = 1;
    public final static Integer ISSUE_STATUS_SUCCESS = 2;
    public final static Integer ISSUE_STATUS_BANK_DO = 3;
    public final static Integer ISSUE_STATUS_FAILED = 4;
    public final static Integer ISSUE_STATUS_REJECT = 5;

    //app展示未发放
    public static List<Integer>   ISSUE_STATUS_APP_NOT = Arrays.asList(1,3,4);

    public static List<Integer>   ISSUE_STATUS_SUCCESS_ARRY = Arrays.asList(2);


    public final static String TRANSFER_RESP_WAIT[] = {"W"};
    public final static String TRANSFER_RESP_SUCCESS[] = {"S"};
    public final static String TRANSFER_RESP_FAILED[] = {"E"};

    // 调用银行接口返回数据
    public final static String CMC_RESPONSE_FAIL_CODE = "201";
    public final static String CMC_RESPONSE_SUCCESS_CODE = "200";

    public final static String CMC_BUS_MOD = "00002";

    //执行状态
    public final static Integer DO_STATUS_HAS = 1;

    public final static Integer DO_STATUS_NOT = 2;

    public final static List<String> SUMMARY_STATUS_ARRAY = new ArrayList<String>(){
        {
            add("已转结算待汇总");
            add("待退旧件");
            add("待总部日审");
            add("待总部审批");
            add("待总部日结审批");
            add("已汇总");
        }
    };


    public static List<String>   WARN_COMPANY = Arrays.asList("广州嘉讯茂机电工程有限公司","广东家盛茂科技有限公司");


    public final static  String WARN_TEMPLEATE = "SMS_250916318";

}
